## packagesearch 1.2

=== Makefile ===

all:
	( cd src ; qmake "CONFIG+=my_release"; make )
# create each plugin individually because the src/plugins/plugin.pro 
# does not forward config options ("CONFIG+=my_release")
	( cd src/plugins/aptplugin ; qmake "CONFIG+=my_release" ; make )
	( cd src/plugins/debtagsplugin ; qmake "CONFIG+=my_release" ; make )
	( cd src/plugins/filenameplugin ; qmake "CONFIG+=my_release" ; make )

clean:
	( cd src ; qmake  "CONFIG+=my_release" packagesearch.pro ; make clean )
	( cd src/plugins ; qmake "CONFIG+=my_release" plugins.pro ; make clean )

install:
	install -d /usr/lib/packagesearch
	install -d /usr/share/doc/packagesearch
	install -d /usr/local/bin
	install src/packagesearch /usr/local/bin/
	install -m 644 icons/packagesearch.png /usr/share/pixmaps/
	install -m 644 icons/packagesearch-whatsThis.png /usr/share/pixmaps/
	install -m 644 README TODO CHANGELOG doc/content.html doc/COPYING.txt /usr/share/doc/packagesearch/
	install src/plugins/lib*so /usr/lib/packagesearch
	
uninstall:
	rm /usr/share/doc/packagesearch/{README,TODO,CHANGELOG,content.html,COPYING.txt}
	rmdir /usr/share/doc/packagesearch
	rm /usr/lib/packagesearch/libaptplugin.so
	rm /usr/lib/packagesearch/libdebtagsplugin.so
	rm /usr/lib/packagesearch/libfilenameplugin.so
	rmdir /usr/lib/packagesearch
	rm /usr/local/bin/packagesearch
	rm /usr/share/pixmaps/packagesearch.png
	rm /usr/share/pixmaps/packagesearch-whatsThis.png
