=== src/Makefile ===
#############################################################################
# Makefile for building: packagesearch
# Generated by qmake (1.07a) (Qt 3.3.3) on: Thu Apr  7 12:32:50 2005
# Project:  packagesearch.pro
# Template: app
# Command: $(QMAKE) "CONFIG+=my_release" -o Makefile packagesearch.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -D_REENTRANT  -D__USE_KDE_LIBS -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED
CXXFLAGS = -pipe -Wall -W -O2 -D_REENTRANT  -D__USE_KDE_LIBS -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/tagcoll -I/usr/include/kde -I/usr/include/qt3 -I.ui/ -I. -I.moc/
LINK     = g++
LFLAGS   = -Wl,-export-dynamic
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -L/usr/X11R6/lib -ldebtags -lapt-pkg -lstdc++ -ltagcoll -lkdecore -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = packagesearchimpl.h \
		history.h \
		runcommand.h \
		runcommandinxterm.h \
		extalgorithm.h \
		applicationfactory.h \
		exception.h \
		helpers.h \
		informationplugin.h \
		plugin.h \
		iprovider.h \
		searchplugin.h \
		plugincontainer.h \
		singlehandlemaker.h \
		singleton.h \
		shortinformationplugin.h \
		runcommandinwindow.h \
		runcommandforoutput.h \
		xmldata.h \
		pluginmanager.h \
		ipluginuser.h \
		pluginlistitem.h \
		pluginsettingsdlg.h \
		plugininformer.h \
		baseplugincontainer.h \
		ipluginfactory.h \
		iplugininformer.h \
		cacheaccess.h \
		packagenotfoundexception.h \
		packagelistviewitem.h \
		packagenameplugin.h \
		iprogressobserver.h \
		progressdisplaydlg.h
SOURCES = main.cpp \
		packagesearchimpl.cpp \
		history.cpp \
		runcommand.cpp \
		runcommandinxterm.cpp \
		extalgorithm.cpp \
		applicationfactory.cpp \
		exception.cpp \
		plugincontainer.cpp \
		plugin.cpp \
		singleton.cpp \
		singlehandlemaker.cpp \
		runcommandinwindow.cpp \
		runcommandforoutput.cpp \
		instantiations.cpp \
		xmldata.cpp \
		pluginmanager.cpp \
		pluginlistitem.cpp \
		pluginsettingsdlg.cpp \
		plugininformer.cpp \
		baseplugincontainer.cpp \
		cacheaccess.cpp \
		packagenotfoundexception.cpp \
		packagelistviewitem.cpp \
		packagenameplugin.cpp \
		progressdisplaydlg.cpp
OBJECTS = .obj/main.o \
		.obj/packagesearchimpl.o \
		.obj/history.o \
		.obj/runcommand.o \
		.obj/runcommandinxterm.o \
		.obj/extalgorithm.o \
		.obj/applicationfactory.o \
		.obj/exception.o \
		.obj/plugincontainer.o \
		.obj/plugin.o \
		.obj/singleton.o \
		.obj/singlehandlemaker.o \
		.obj/runcommandinwindow.o \
		.obj/runcommandforoutput.o \
		.obj/instantiations.o \
		.obj/xmldata.o \
		.obj/pluginmanager.o \
		.obj/pluginlistitem.o \
		.obj/pluginsettingsdlg.o \
		.obj/plugininformer.o \
		.obj/baseplugincontainer.o \
		.obj/cacheaccess.o \
		.obj/packagenotfoundexception.o \
		.obj/packagelistviewitem.o \
		.obj/packagenameplugin.o \
		.obj/progressdisplaydlg.o \
		.obj/packagesearch.o \
		.obj/packagesearchaboutdlg.o \
		.obj/runcommandwidget.o \
		.obj/plugincontrol.o \
		.obj/pluginprogressdlg.o \
		.obj/columncontroldlg.o
FORMS = packagesearch.ui \
		packagesearchaboutdlg.ui \
		runcommandwidget.ui \
		plugincontrol.ui \
		pluginprogressdlg.ui \
		columncontroldlg.ui
UICDECLS = .ui/packagesearch.h \
		.ui/packagesearchaboutdlg.h \
		.ui/runcommandwidget.h \
		.ui/plugincontrol.h \
		.ui/pluginprogressdlg.h \
		.ui/columncontroldlg.h
UICIMPLS = .ui/packagesearch.cpp \
		.ui/packagesearchaboutdlg.cpp \
		.ui/runcommandwidget.cpp \
		.ui/plugincontrol.cpp \
		.ui/pluginprogressdlg.cpp \
		.ui/columncontroldlg.cpp
SRCMOC   = .moc/moc_packagesearchimpl.cpp \
		.moc/moc_runcommand.cpp \
		.moc/moc_searchplugin.cpp \
		.moc/moc_runcommandinwindow.cpp \
		.moc/moc_runcommandforoutput.cpp \
		.moc/moc_pluginmanager.cpp \
		.moc/moc_pluginlistitem.cpp \
		.moc/moc_pluginsettingsdlg.cpp \
		.moc/moc_progressdisplaydlg.cpp \
		.moc/moc_packagesearch.cpp \
		.moc/moc_packagesearchaboutdlg.cpp \
		.moc/moc_runcommandwidget.cpp \
		.moc/moc_plugincontrol.cpp \
		.moc/moc_pluginprogressdlg.cpp \
		.moc/moc_columncontroldlg.cpp
OBJMOC = .obj/moc_packagesearchimpl.o \
		.obj/moc_runcommand.o \
		.obj/moc_searchplugin.o \
		.obj/moc_runcommandinwindow.o \
		.obj/moc_runcommandforoutput.o \
		.obj/moc_pluginmanager.o \
		.obj/moc_pluginlistitem.o \
		.obj/moc_pluginsettingsdlg.o \
		.obj/moc_progressdisplaydlg.o \
		.obj/moc_packagesearch.o \
		.obj/moc_packagesearchaboutdlg.o \
		.obj/moc_runcommandwidget.o \
		.obj/moc_plugincontrol.o \
		.obj/moc_pluginprogressdlg.o \
		.obj/moc_columncontroldlg.o
DIST	   = packagesearch.pro
QMAKE_TARGET = packagesearch
DESTDIR  = 
TARGET   = packagesearch

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: packagesearch.pro  /usr/share/qt3/mkspecs/default/qmake.conf /usr/share/qt3/lib/libqt-mt.prl
	$(QMAKE) "CONFIG+=my_release" -o Makefile packagesearch.pro
qmake: 
	@$(QMAKE) "CONFIG+=my_release" -o Makefile packagesearch.pro

dist: 
	@mkdir -p .obj/packagesearch && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/packagesearch/ && $(COPY_FILE) --parents packagesearch.ui.h runcommandwidget.ui.h columncontroldlg.ui.h .obj/packagesearch/ && ( cd `dirname .obj/packagesearch` && $(TAR) packagesearch.tar packagesearch && $(GZIP) packagesearch.tar ) && $(MOVE) `dirname .obj/packagesearch`/packagesearch.tar.gz . && $(DEL_FILE) -r .obj/packagesearch

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/main.o: main.cpp packagesearchimpl.h \
		.ui/packagesearch.h \
		iprovider.h \
		ipluginuser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

.obj/packagesearchimpl.o: packagesearchimpl.cpp packagesearchimpl.h \
		extalgorithm.h \
		helpers.h \
		runcommandforoutput.h \
		plugin.h \
		searchplugin.h \
		informationplugin.h \
		shortinformationplugin.h \
		plugincontainer.h \
		pluginmanager.h \
		plugincompare.h \
		packagenotfoundexception.h \
		packagenameplugin.h \
		xmldata.h \
		singlehandlemaker.h \
		.ui/columncontroldlg.h \
		packagelistviewitem.h \
		.ui/packagesearch.h \
		iprovider.h \
		ipluginuser.h \
		iplugininformer.h \
		plugininformer.h \
		exception.h \
		singleton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagesearchimpl.o packagesearchimpl.cpp

.obj/history.o: history.cpp history.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/history.o history.cpp

.obj/runcommand.o: runcommand.cpp runcommand.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/runcommand.o runcommand.cpp

.obj/runcommandinxterm.o: runcommandinxterm.cpp runcommandinxterm.h \
		extalgorithm.h \
		runcommand.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/runcommandinxterm.o runcommandinxterm.cpp

.obj/extalgorithm.o: extalgorithm.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/extalgorithm.o extalgorithm.cpp

.obj/applicationfactory.o: applicationfactory.cpp applicationfactory.h \
		runcommandinwindow.h \
		runcommandinxterm.h \
		runcommand.h \
		.ui/runcommandwidget.h \
		extalgorithm.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/applicationfactory.o applicationfactory.cpp

.obj/exception.o: exception.cpp exception.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/exception.o exception.cpp

.obj/plugincontainer.o: plugincontainer.cpp plugincontainer.h \
		iplugininformer.h \
		xmldata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/plugincontainer.o plugincontainer.cpp

.obj/plugin.o: plugin.cpp plugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/plugin.o plugin.cpp

.obj/singleton.o: singleton.cpp singleton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/singleton.o singleton.cpp

.obj/singlehandlemaker.o: singlehandlemaker.cpp singlehandlemaker.h \
		singleton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/singlehandlemaker.o singlehandlemaker.cpp

.obj/runcommandinwindow.o: runcommandinwindow.cpp runcommandinwindow.h \
		runcommand.h \
		.ui/runcommandwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/runcommandinwindow.o runcommandinwindow.cpp

.obj/runcommandforoutput.o: runcommandforoutput.cpp runcommandforoutput.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/runcommandforoutput.o runcommandforoutput.cpp

.obj/instantiations.o: instantiations.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/instantiations.o instantiations.cpp

.obj/xmldata.o: xmldata.cpp xmldata.h \
		helpers.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/xmldata.o xmldata.cpp

.obj/pluginmanager.o: pluginmanager.cpp extalgorithm.h \
		pluginmanager.h \
		plugincontainer.h \
		ipluginuser.h \
		iprovider.h \
		pluginlistitem.h \
		pluginsettingsdlg.h \
		progressdisplaydlg.h \
		.ui/plugincontrol.h \
		xmldata.h \
		helpers.h \
		plugininformer.h \
		iplugininformer.h \
		.ui/pluginprogressdlg.h \
		iprogressobserver.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/pluginmanager.o pluginmanager.cpp

.obj/pluginlistitem.o: pluginlistitem.cpp pluginlistitem.h \
		helpers.h \
		pluginmanager.h \
		xmldata.h \
		plugininformer.h \
		plugincontainer.h \
		iplugininformer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/pluginlistitem.o pluginlistitem.cpp

.obj/pluginsettingsdlg.o: pluginsettingsdlg.cpp pluginsettingsdlg.h \
		plugincontainer.h \
		iplugininformer.h \
		xmldata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/pluginsettingsdlg.o pluginsettingsdlg.cpp

.obj/plugininformer.o: plugininformer.cpp plugininformer.h \
		ipluginuser.h \
		iplugininformer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/plugininformer.o plugininformer.cpp

.obj/baseplugincontainer.o: baseplugincontainer.cpp baseplugincontainer.h \
		plugin.h \
		iprovider.h \
		ipluginfactory.h \
		helpers.h \
		plugincontainer.h \
		plugininformer.h \
		iplugininformer.h \
		xmldata.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/baseplugincontainer.o baseplugincontainer.cpp

.obj/cacheaccess.o: cacheaccess.cpp cacheaccess.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/cacheaccess.o cacheaccess.cpp

.obj/packagenotfoundexception.o: packagenotfoundexception.cpp packagenotfoundexception.h \
		exception.h \
		singlehandlemaker.h \
		singleton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagenotfoundexception.o packagenotfoundexception.cpp

.obj/packagelistviewitem.o: packagelistviewitem.cpp packagelistviewitem.h \
		singlehandlemaker.h \
		helpers.h \
		singleton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagelistviewitem.o packagelistviewitem.cpp

.obj/packagenameplugin.o: packagenameplugin.cpp packagenameplugin.h \
		singlehandlemaker.h \
		helpers.h \
		shortinformationplugin.h \
		plugin.h \
		singleton.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagenameplugin.o packagenameplugin.cpp

.obj/progressdisplaydlg.o: progressdisplaydlg.cpp progressdisplaydlg.h \
		.ui/pluginprogressdlg.h \
		iprogressobserver.h
