=== src/plugins/Makefile ===
#############################################################################
# Makefile for building: plugins
# Generated by qmake (1.07a) (Qt 3.3.3) on: Thu Apr  7 12:32:50 2005
# Project:  plugins.pro
# Template: subdirs
# Command: $(QMAKE) "CONFIG+=my_release" -o Makefile plugins.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p
INSTALL_FILE= 
INSTALL_DIR = 
SUBTARGETS =	 \
		sub-aptplugin \
		sub-debtagsplugin \
		sub-filenameplugin

first: all

all: Makefile $(SUBTARGETS)

aptplugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "aptplugin" || $(MKDIR) "aptplugin"
	cd aptplugin && $(QMAKE) aptplugin.pro "CONFIG+=my_release" -o $(MAKEFILE)
sub-aptplugin: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE)

debtagsplugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "debtagsplugin" || $(MKDIR) "debtagsplugin"
	cd debtagsplugin && $(QMAKE) debtagsplugin.pro "CONFIG+=my_release" -o $(MAKEFILE)
sub-debtagsplugin: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE)

filenameplugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "filenameplugin" || $(MKDIR) "filenameplugin"
	cd filenameplugin && $(QMAKE) filenameplugin.pro "CONFIG+=my_release" -o $(MAKEFILE)
sub-filenameplugin: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE)

Makefile: plugins.pro  /usr/share/qt3/mkspecs/default/qmake.conf 
	$(QMAKE) "CONFIG+=my_release" -o Makefile plugins.pro
qmake: qmake_all
	@$(QMAKE) "CONFIG+=my_release" -o Makefile plugins.pro

all: $(SUBTARGETS)
qmake_all: aptplugin/$(MAKEFILE) debtagsplugin/$(MAKEFILE) filenameplugin/$(MAKEFILE)
	 ( [ -d aptplugin ] && cd aptplugin ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d debtagsplugin ] && cd debtagsplugin ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d filenameplugin ] && cd filenameplugin ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uicables mocables uiclean mocclean lexclean yaccclean : qmake_all FORCE
	 ( [ -d aptplugin ] && cd aptplugin ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d debtagsplugin ] && cd debtagsplugin ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d filenameplugin ] && cd filenameplugin ; $(MAKE) -f $(MAKEFILE) $@; ) || true
uninstall_subdirs: qmake_all FORCE
	 ( [ -d aptplugin ] && cd aptplugin ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
	 ( [ -d debtagsplugin ] && cd debtagsplugin ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
	 ( [ -d filenameplugin ] && cd filenameplugin ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
install_subdirs: qmake_all FORCE
	 ( [ -d aptplugin ] && cd aptplugin ; $(MAKE) -f $(MAKEFILE) install; ) || true
	 ( [ -d debtagsplugin ] && cd debtagsplugin ; $(MAKE) -f $(MAKEFILE) install; ) || true
	 ( [ -d filenameplugin ] && cd filenameplugin ; $(MAKE) -f $(MAKEFILE) install; ) || true
distclean: qmake_all FORCE
	 ( [ -d aptplugin ] && cd aptplugin ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d debtagsplugin ] && cd debtagsplugin ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d filenameplugin ] && cd filenameplugin ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

install:  install_subdirs

uninstall:  uninstall_subdirs

FORCE:
