=== src/plugins/aptplugin/Makefile ===
#############################################################################
# Makefile for building: libaptplugin.so
# Generated by qmake (1.07a) (Qt 3.3.3) on: Thu Apr  7 12:32:51 2005
# Project:  aptplugin.pro
# Template: lib
# Command: $(QMAKE) "CONFIG+=my_release" -o Makefile aptplugin.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -D_REENTRANT -fPIC  -D__USE_KDE_LIBS -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_PLUGIN -DQT_SHARED
CXXFLAGS = -pipe -Wall -W -O2 -D_REENTRANT -fPIC  -D__USE_KDE_LIBS -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_PLUGIN -DQT_SHARED
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I. -I../.. -I/usr/include/tagcoll -I/usr/include/debtags -I/usr/include/kde -I/usr/include/qt3 -I.ui/ -I.moc/
LINK     = g++
LFLAGS   = -shared
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -lkdecore -lqt-mt -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = aptplugincontainer.h \
		aptsearchplugin.h \
		packagedescriptionplugin.h \
		packagestatusplugin.h \
		aptpluginfactory.h \
		ipackagedb.h \
		dumpavailpackagedb.h \
		package.h \
		iaptsearch.h \
		installedversionplugin.h \
		availableversionplugin.h
SOURCES = aptplugincontainer.cpp \
		aptsearchplugin.cpp \
		packagedescriptionplugin.cpp \
		packagestatusplugin.cpp \
		aptpluginfactory.cpp \
		ipackagedb.cpp \
		dumpavailpackagedb.cpp \
		package.cpp \
		iaptsearch.cpp \
		installedversionplugin.cpp \
		availableversionplugin.cpp
OBJECTS = .obj/aptplugincontainer.o \
		.obj/aptsearchplugin.o \
		.obj/packagedescriptionplugin.o \
		.obj/packagestatusplugin.o \
		.obj/aptpluginfactory.o \
		.obj/ipackagedb.o \
		.obj/dumpavailpackagedb.o \
		.obj/package.o \
		.obj/iaptsearch.o \
		.obj/installedversionplugin.o \
		.obj/availableversionplugin.o \
		.obj/aptsearchpluginshortinputwidget.o \
		.obj/installedfilterwidget.o
FORMS = aptsearchpluginshortinputwidget.ui \
		installedfilterwidget.ui
UICDECLS = .ui/aptsearchpluginshortinputwidget.h \
		.ui/installedfilterwidget.h
UICIMPLS = .ui/aptsearchpluginshortinputwidget.cpp \
		.ui/installedfilterwidget.cpp
SRCMOC   = .moc/moc_aptplugincontainer.cpp \
		.moc/moc_aptsearchplugin.cpp \
		.moc/moc_packagestatusplugin.cpp \
		.moc/moc_aptsearchpluginshortinputwidget.cpp \
		.moc/moc_installedfilterwidget.cpp
OBJMOC = .obj/moc_aptplugincontainer.o \
		.obj/moc_aptsearchplugin.o \
		.obj/moc_packagestatusplugin.o \
		.obj/moc_aptsearchpluginshortinputwidget.o \
		.obj/moc_installedfilterwidget.o
DIST	   = aptplugin.pro
QMAKE_TARGET = aptplugin
DESTDIR  = ../
TARGET   = libaptplugin.so
TARGETD   = libaptplugin.so

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC) $(SUBLIBS) $(OBJCOMP)  
	test -d ../ || mkdir -p ../
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: aptplugin.pro  /usr/share/qt3/mkspecs/default/qmake.conf /usr/share/qt3/lib/libqt-mt.prl
	$(QMAKE) "CONFIG+=my_release" -o Makefile aptplugin.pro
qmake: 
	@$(QMAKE) "CONFIG+=my_release" -o Makefile aptplugin.pro

dist: 
	@mkdir -p .obj/aptplugin && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/aptplugin/ && ( cd `dirname .obj/aptplugin` && $(TAR) aptplugin.tar aptplugin && $(GZIP) aptplugin.tar ) && $(MOVE) `dirname .obj/aptplugin`/aptplugin.tar.gz . && $(DEL_FILE) -r .obj/aptplugin

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../$(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/aptplugincontainer.o: aptplugincontainer.cpp aptplugincontainer.h \
		dumpavailpackagedb.h \
		aptpluginfactory.h \
		aptsearchplugin.h \
		packagestatusplugin.h \
		packagedescriptionplugin.h \
		installedversionplugin.h \
		availableversionplugin.h \
		aptpackages.h \
		iaptmediator.h \
		iaptsearch.h \
		ipackagedb.h \
		package.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/aptplugincontainer.o aptplugincontainer.cpp

.obj/aptsearchplugin.o: aptsearchplugin.cpp aptsearchplugin.h \
		.ui/aptsearchpluginshortinputwidget.h \
		aptpackages.h \
		iaptsearch.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/aptsearchplugin.o aptsearchplugin.cpp

.obj/packagedescriptionplugin.o: packagedescriptionplugin.cpp packagedescriptionplugin.h \
		aptpackages.h \
		ipackagedb.h \
		iaptmediator.h \
		package.h \
		iaptsearch.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagedescriptionplugin.o packagedescriptionplugin.cpp

.obj/packagestatusplugin.o: packagestatusplugin.cpp packagestatusplugin.h \
		.ui/installedfilterwidget.h \
		ipackagedb.h \
		package.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagestatusplugin.o packagestatusplugin.cpp

.obj/aptpluginfactory.o: aptpluginfactory.cpp aptpluginfactory.h \
		aptsearchplugin.h \
		packagestatusplugin.h \
		packagedescriptionplugin.h \
		installedversionplugin.h \
		availableversionplugin.h \
		aptpackages.h \
		iaptsearch.h \
		package.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/aptpluginfactory.o aptpluginfactory.cpp

.obj/ipackagedb.o: ipackagedb.cpp ipackagedb.h \
		package.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/ipackagedb.o ipackagedb.cpp

.obj/dumpavailpackagedb.o: dumpavailpackagedb.cpp dumpavailpackagedb.h \
		ipackagedb.h \
		iaptsearch.h \
		package.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/dumpavailpackagedb.o dumpavailpackagedb.cpp

.obj/package.o: package.cpp package.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/package.o package.cpp

.obj/iaptsearch.o: iaptsearch.cpp iaptsearch.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/iaptsearch.o iaptsearch.cpp

.obj/installedversionplugin.o: installedversionplugin.cpp installedversionplugin.h \
		package.h \
		ipackagedb.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/installedversionplugin.o installedversionplugin.cpp

.obj/availableversionplugin.o: availableversionplugin.cpp availableversionplugin.h \
		package.h \
		ipackagedb.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/availableversionplugin.o availableversionplugin.cpp

.ui/aptsearchpluginshortinputwidget.h: aptsearchpluginshortinputwidget.ui 
	$(UIC) aptsearchpluginshortinputwidget.ui -o .ui/aptsearchpluginshortinputwidget.h

.ui/aptsearchpluginshortinputwidget.cpp: .ui/aptsearchpluginshortinputwidget.h aptsearchpluginshortinputwidget.ui 
	$(UIC) aptsearchpluginshortinputwidget.ui -i aptsearchpluginshortinputwidget.h -o .ui/aptsearchpluginshortinputwidget.cpp

.ui/installedfilterwidget.h: installedfilterwidget.ui 
	$(UIC) installedfilterwidget.ui -o .ui/installedfilterwidget.h

.ui/installedfilterwidget.cpp: .ui/installedfilterwidget.h installedfilterwidget.ui 
	$(UIC) installedfilterwidget.ui -i installedfilterwidget.h -o .ui/installedfilterwidget.cpp

.obj/aptsearchpluginshortinputwidget.o: .ui/aptsearchpluginshortinputwidget.cpp .ui/aptsearchpluginshortinputwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/aptsearchpluginshortinputwidget.o .ui/aptsearchpluginshortinputwidget.cpp

.obj/installedfilterwidget.o: .ui/installedfilterwidget.cpp .ui/installedfilterwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/installedfilterwidget.o .ui/installedfilterwidget.cpp

.obj/moc_aptplugincontainer.o: .moc/moc_aptplugincontainer.cpp  aptplugincontainer.h aptpackages.h \
		iaptmediator.h \
		iaptsearch.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_aptplugincontainer.o .moc/moc_aptplugincontainer.cpp

.obj/moc_aptsearchplugin.o: .moc/moc_aptsearchplugin.cpp  aptsearchplugin.h aptpackages.h \
		iaptsearch.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_aptsearchplugin.o .moc/moc_aptsearchplugin.cpp

.obj/moc_packagestatusplugin.o: .moc/moc_packagestatusplugin.cpp  packagestatusplugin.h package.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_packagestatusplugin.o .moc/moc_packagestatusplugin.cpp

.obj/moc_aptsearchpluginshortinputwidget.o: .moc/moc_aptsearchpluginshortinputwidget.cpp  .ui/aptsearchpluginshortinputwidget.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_aptsearchpluginshortinputwidget.o .moc/moc_aptsearchpluginshortinputwidget.cpp

.obj/moc_installedfilterwidget.o: .moc/moc_installedfilterwidget.cpp  .ui/installedfilterwidget.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_installedfilterwidget.o .moc/moc_installedfilterwidget.cpp

.moc/moc_aptplugincontainer.cpp: $(MOC) aptplugincontainer.h
	$(MOC) aptplugincontainer.h -o .moc/moc_aptplugincontainer.cpp

.moc/moc_aptsearchplugin.cpp: $(MOC) aptsearchplugin.h
	$(MOC) aptsearchplugin.h -o .moc/moc_aptsearchplugin.cpp

.moc/moc_packagestatusplugin.cpp: $(MOC) packagestatusplugin.h
	$(MOC) packagestatusplugin.h -o .moc/moc_packagestatusplugin.cpp

.moc/moc_aptsearchpluginshortinputwidget.cpp: $(MOC) .ui/aptsearchpluginshortinputwidget.h
	$(MOC) .ui/aptsearchpluginshortinputwidget.h -o .moc/moc_aptsearchpluginshortinputwidget.cpp

.moc/moc_installedfilterwidget.cpp: $(MOC) .ui/installedfilterwidget.h
	$(MOC) .ui/installedfilterwidget.h -o .moc/moc_installedfilterwidget.cpp

####### Install

install:  

uninstall:
