=== debian/changelog ===
packagesearch (1.2) unstable; urgency=low

  * New upstream release (excerpt from the changelog file)
    - added --help and --version options (Closes: #299015)
    - fixed display of command output (correct handling of CR/LF and CR only,
      no unneccesary scrolling) (Closes: #299015)
      Thanks to Ross Boylan for his bug reports

 -- Benjamin Mesing <bensmail@gmx.net>  Tue, 22 Mar 2005 11:07:09 +0100

packagesearch (1.1) unstable; urgency=low

  * New upstream release 
  * the new version comes with a new backend not using libapt any more
    but using the kpackage approach of parsing the output of apt-get dumpavail 
    now (Closes: #291761) 

 -- Benjamin Mesing <bensmail@gmx.net>  Mon, 14 Mar 2005 11:19:20 +0100

packagesearch (1.0.1) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Fri, 21 Jan 2005 16:13:13 +0100

packagesearch (1.0) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Sun, 31 Oct 2004 14:04:01 +0100

packagesearch (0.6) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Tue, 21 Sep 2004 15:18:07 +0200

packagesearch (0.5) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Mon, 16 Aug 2004 15:16:41 +0200

packagesearch (0.4.1) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Wed,  4 Aug 2004 14:28:50 +0200

packagesearch (0.4) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Tue,  3 Aug 2004 20:35:59 +0200

packagesearch (0.3) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Wed, 28 Jul 2004 13:37:56 +0200

packagesearch (0.2) unstable; urgency=low

  * New upstream release 

 -- Benjamin Mesing <bensmail@gmx.net>  Thu, 15 Jul 2004 14:42:14 +0200

packagesearch (0.1) unstable; urgency=low

  * New upstream release

 -- Benjamin Mesing <bensmail@gmx.net>  Sun,  6 Jun 2004 16:25:19 +0200

packagesearch (0.0.3) unstable; urgency=low

  * 

 -- Benjamin Mesing <bensmail@gmx.net>  Wed, 26 May 2004 18:48:02 +0200

packagesearch (0.0.2-1) unstable; urgency=low

  * Initial Release.
  * 

 -- Benjamin Mesing <bensmail@gmx.net>  Tue, 27 Apr 2004 19:40:58 +0200
