=== debian/control ===
Source: packagesearch
Section: admin
Priority: optional
Maintainer: Benjamin Mesing <bensmail@gmx.net>
Build-Depends: debhelper (>= 4.0.0), libdebtags-dev (>= 0.9), libqt3-mt-dev (>= 3.2), libapt-pkg-dev, kdelibs4-dev, docbook-to-man
Standards-Version: 3.6.1.0

Package: packagesearch
Architecture: any
Depends: apt, ${shlibs:Depends}, ${misc:Depends}
Recommends: debtags, apt-file
Description: GUI for searching packages and viewing package information
 This tool is aimed to help you search the packages you need. It 
 should make the task of searching a pleasant experience. 
 The new categorisation system "debtags" is supported.
 Search can be done by pattern, tags, files and installed status.
 Additionally a lot of information about the packages is displayed
 including the files belonging to them.
 .
 The program is not meant to be a package managment tool like synaptic.
